package com.pcloud.book.group.vo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author 戴兴
 * @description TODO
 * @date 2019/7/25 19:01
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResourcesStatisticVO implements Serializable {

    private Long rescourceId;

    private String rescourceName;

    private String type;

    private Long browseCount;

    private Long saleCount;

    private BigDecimal totalSale;

    private BigDecimal totalIncome;

    public Long getRescourceId() {
        return rescourceId;
    }

    public void setRescourceId(Long rescourceId) {
        this.rescourceId = rescourceId;
    }

    public String getRescourceName() {
        return rescourceName;
    }

    public void setRescourceName(String rescourceName) {
        this.rescourceName = rescourceName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getBrowseCount() {
        return browseCount;
    }

    public void setBrowseCount(Long browseCount) {
        this.browseCount = browseCount;
    }

    public Long getSaleCount() {
        return saleCount;
    }

    public void setSaleCount(Long saleCount) {
        this.saleCount = saleCount;
    }

    public BigDecimal getTotalSale() {
        return totalSale;
    }

    public void setTotalSale(BigDecimal totalSale) {
        this.totalSale = totalSale;
    }

    public BigDecimal getTotalIncome() {
        return totalIncome;
    }

    public void setTotalIncome(BigDecimal totalIncome) {
        this.totalIncome = totalIncome;
    }

    @Override
    public String toString() {
        return "ResourcesStatisticVO{" +
                "rescourceId='" + rescourceId + '\'' +
                ", rescourceName=" + rescourceName +
                ", type='" + type + '\'' +
                ", browseCount=" + browseCount +
                ", saleCount=" + saleCount +
                ", totalSale=" + totalSale +
                ", totalIncome=" + totalIncome +
                '}';
    }
}